package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.db.ColumnInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.maskingself.TCoreMaskingselfTable;
import com.chenyang.nse.bussiness.entity.orm.table.core.maskingself.TCoreMaskingselfTask;
import com.chenyang.nse.bussiness.entity.param.maskingself.SaveSelfParam;
import com.chenyang.nse.bussiness.entity.vo.ResultVO;
import java.sql.Connection;
import java.util.List;
import java.util.Map;

public interface MaskingSelfTaskService {
   Connection getConnectionByDataSystemId(String datasystemid);

   List<TCoreMaskingselfTask> queryTask(String engineid, String taskname, PageInfo pageInfo);

   List<TCoreMaskingselfTask> querytasklist(String engineid, String taskname);

   void removeTask(String taskid);

   Map<String, Object> queryTaskDetail(String taskid);

   Map<String, Object> queryTaskDetailInfo(String taskid, String datadirection);

   List<Map<String, Object>> querymultitable(String sourceid);

   TCoreMaskingselfTask queryEngineMaskingTaskByTaskName(String engineid, String taskname);

   TCoreMaskingselfTask queryMaskingTaskByID(String taskid);

   List<TCoreMaskingselfTable> queryMaskingTable(String taskid, String direction);

   List<ColumnInfo> queryTableColumName(String taskid, String sourceid);

   Map<String, Object> queryMultiDBSourceMapping(String taskid, String[] tablename);

   ResultVO addAndModifyMaskingTask(SaveSelfParam ssp);

   int getCountTable(String taskid);
}
